#
# spec file for package ghc-libsystemd-journal
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name libsystemd-journal
Name:           ghc-%{pkg_name}
Version:        1.4.5
Release:        bp155.3.14
Summary:        Haskell bindings to libsystemd-journal
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-hsyslog-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-pipes-safe-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-unix-bytestring-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-uuid-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libsystemd)
ExcludeArch:    %{ix86}

%description
Haskell bindings to libsystemd-journal.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(libsystemd)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}
cabal-tweak-dep-ver semigroups '< 0.20' '< 1'

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc Changelog.md

%changelog
* Tue Feb 15 2022 Peter Simons <psimons@suse.com>
- Update copyright header in the spec file.
* Fri Feb 11 2022 Peter Simons <psimons@suse.com>
- Update jailbreak for semigroups.
* Sun Nov 21 2021 Ondřej Súkup <mimi.vx@gmail.com>
- relax overspecified constraints on semigroups
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Oct 27 2020 psimons@suse.com
- Add libsystemd-journal at version 1.4.5.
